### Property

# Clutter Actor:width

#### Declaration

    property width: float [ read, write ]

#### Description [src]

Width of the actor (in pixels). If written, forces the minimum and natural size request of the actor to the given width. If read, returns the allocated width if available, otherwise the width request.

The `ClutterActor:width` property is animatable.

Type:`gfloat`

Default value | 0.000000
Getter method | `clutter_actor_get_width()`
Setter method | `clutter_actor_set_width()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no